
import { createApp } from 'vue'
import { createPinia } from 'pinia'
import App from './App.vue'
import router from '@/router/index'
import ElementPlus from 'element-plus'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
import 'element-plus/dist/index.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'

// **main.js**
import {vue3ScrollSeamless} from "vue3-scroll-seamless";



// 引入初始化样式文件
import '@/styles/common.scss'
// 数据可视化
import * as echarts from 'echarts'
const pinia = createPinia()
const app = createApp(App)
app.use(router)
app.use(pinia)
app.use(echarts)

app.component('vue3ScrollSeamless',vue3ScrollSeamless)


for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
  }
  app.use(ElementPlus, {
    locale: zhCn,
  })
app.mount('#app')
